use std::collections::HashMap;

use serde::{Deserialize, Serialize};

#[derive(Debug, Clone, Serialize, Deserialize)]
pub struct Bin {
    pub root: String,
    #[serde(default)]
    pub checksums: HashMap<String, String>,
}

impl Default for Bin {
    fn default() -> Self {
        Bin {
            root: String::default(),
            checksums: HashMap::default(),
        }
    }
}
